| M480 BSP V3.05.001 The Board Support Package for M480 Series

Data Fields
usbhid_mouse_event Struct Reference
Library » USB Host Library » USB Host Exported Structures

`#include <usbh_hid.h>`

## Data Fields
uint8_t | axis_relative
uint8_t | wheel_relative
uint8_t | button_cnt
uint32_t | button_map
signed int | axis_min
signed int | axis_max
signed int | X
signed int | Y
signed int | wheel_min
signed int | wheel_max
signed int | wheel
int | X_bits
int | Y_bits
int | wheel_bits
uint32_t | X_raw
uint32_t | Y_raw
uint32_t | wheel_raw

## Detailed Description

HID mouse information structure

Definition at line 298 of file usbh_hid.h.

## Field Documentation

## ◆ axis_max

signed int usbhid_mouse_event::axis_max

Logical maxmum of mouse X,Y axis value

Definition at line 305 of file usbh_hid.h.

## ◆ axis_min

signed int usbhid_mouse_event::axis_min

Logical minimum of mouse X,Y axis value

Definition at line 304 of file usbh_hid.h.

## ◆ axis_relative

uint8_t usbhid_mouse_event::axis_relative

X,Y axis vlaue is relative(1) or absolute(0)

Definition at line 300 of file usbh_hid.h.

## ◆ button_cnt

uint8_t usbhid_mouse_event::button_cnt

Number of buttons

Definition at line 302 of file usbh_hid.h.

## ◆ button_map

uint32_t usbhid_mouse_event::button_map

bit0 for button 0, bit1 for button 1, ...

Definition at line 303 of file usbh_hid.h.

## ◆ wheel

signed int usbhid_mouse_event::wheel

mouse wheel value

Definition at line 310 of file usbh_hid.h.

## ◆ wheel_bits

int usbhid_mouse_event::wheel_bits

wheel bit resolution

Definition at line 313 of file usbh_hid.h.

## ◆ wheel_max

signed int usbhid_mouse_event::wheel_max

Logical maxmum of mouse wheel value

Definition at line 309 of file usbh_hid.h.

## ◆ wheel_min

signed int usbhid_mouse_event::wheel_min

Logical minimum of mouse wheel value

Definition at line 308 of file usbh_hid.h.

## ◆ wheel_raw

uint32_t usbhid_mouse_event::wheel_raw

mouse report wheel raw data

Definition at line 316 of file usbh_hid.h.

## ◆ wheel_relative

uint8_t usbhid_mouse_event::wheel_relative

Wheel vlaue is relative(1) or absolute(0)

Definition at line 301 of file usbh_hid.h.

## ◆ X

signed int usbhid_mouse_event::X

mouse X axis value

Definition at line 306 of file usbh_hid.h.

## ◆ X_bits

int usbhid_mouse_event::X_bits

X axis bit resolution

Definition at line 311 of file usbh_hid.h.

## ◆ X_raw

uint32_t usbhid_mouse_event::X_raw

mouse report X axis raw data

Definition at line 314 of file usbh_hid.h.

## ◆ Y

signed int usbhid_mouse_event::Y

mouse Y axis value

Definition at line 307 of file usbh_hid.h.

## ◆ Y_bits

int usbhid_mouse_event::Y_bits

Y axis bit resolution

Definition at line 312 of file usbh_hid.h.

## ◆ Y_raw

uint32_t usbhid_mouse_event::Y_raw

mouse report Y axis raw data

Definition at line 315 of file usbh_hid.h.

The documentation for this struct was generated from the following file:

- UsbHostLib/inc/usbh_hid.h